using LiteNetLib.Utils;

using Syntriax.Engine.Core;

namespace Syntriax.Engine.Network;

internal static class ColorHSVNetPacker
{
    internal static void Write(NetDataWriter writer, ColorHSV data)
    {
        writer.Put(data.Hue);
        writer.Put(data.Saturation);
        writer.Put(data.Value);
    }

    internal static ColorHSV Read(NetDataReader reader)
    {
        float hue = reader.GetFloat();
        float saturation = reader.GetFloat();
        float value = reader.GetFloat();

        return new ColorHSV(hue, saturation, value);
    }
}
